The area around the location bar can be dragged to move the window
At least for me, on Windows 8.1, if I click the space around the address bar(above, below, and immediately to the right), I'm able to drag and move the entire window around. This includes the gap between the address bar and tabs in the tab bar. I keep finding myself dragging Firefox out of maximized mode by accident when I really am trying to either select a tab or click into the address bar.

I don't think this should be happening, especially for the gap between the address bar and the tab bar, since there's nothing visually separating those elements.